Debian Bug report logs - #676402
ITP: ruby-rspec-rails -- RSpec for Rails

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Wed, 6 Jun 2012 18:33:01 UTC

Owned by: pravi.a@gmail.com

Severity: wishlist

Fixed in version ruby-rspec-rails/2.10.1-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676402; Package wnpp. (Wed, 06 Jun 2012 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 06 Jun 2012 18:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: ruby-rspec-rails -- RSpec for Rails
Date: Wed, 6 Jun 2012 23:53:30 +0530
Package: wnpp
Severity: wishlist
Blocks: 597093

I'm packaging this gem http://rubygems.org/gems/rspec-rails as it is a
dependency for diaspora

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Added indication that bug 676402 blocks 597093 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 18:48:58 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 676402: 676409 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 19:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676402; Package wnpp. (Wed, 06 Jun 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 06 Jun 2012 19:09:04 GMT) Full text and rfc822 format available.

Message #14 received at 676402@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: debian-ruby@lists.debian.org
Cc: 676409@bugs.debian.org, 676402@bugs.debian.org
Subject: rspec-rails and ammeter circular dependency
Date: Thu, 7 Jun 2012 00:37:52 +0530
Hi,

rspec-rails is a dependency for diaspora. When I tried packaging it I
saw tests need ammeter. So I started packaging ammeter. But ammeter
tests need rspec-rails! It is a circular dependency. Can I upload
first versions of each package with tests disabled? Once they get
uploaded I will update these packages with tests enabled. Any comments
on this line of thought?

Cheers
Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.




Owner recorded as pravi.a@gmail.com. Request was from Nathan Handler <nhandler@ubuntu.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 17:12:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pravi.a@gmail.com:
Bug#676402; Package wnpp. (Tue, 23 Oct 2012 13:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pravi.a@gmail.com. (Tue, 23 Oct 2012 13:45:11 GMT) Full text and rfc822 format available.

Message #21 received at 676402@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 676409@bugs.debian.org, 676402@bugs.debian.org
Subject: dependency update
Date: Tue, 23 Oct 2012 19:13:05 +0530
actually ammeter is build dependency for rspec-rails and rspec-rails
is runtime dependency for ammeter. So I'll upload rspec-rails without
test first and then ammeter.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pravi.a@gmail.com:
Bug#676402; Package wnpp. (Tue, 23 Oct 2012 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pravi.a@gmail.com. (Tue, 23 Oct 2012 15:03:05 GMT) Full text and rfc822 format available.

Message #26 received at 676402@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 676402@bugs.debian.org
Subject: build dependencies
Date: Tue, 23 Oct 2012 20:32:03 +0530
needs newer rspec, it failed with rspec 2.10 currently in debian,
after installing rspec 2.11 it worked. It also needs autotest gem.

Running tests for ruby1.8 using debian/ruby-tests.rake ...
rake aborted!
no such file to load -- rspec/core/rake_task

or

/media/forge/debian/diaspora/ruby-rspec-rails-2.11.4/lib/rspec/rails.rb:1:in
`require': no such file to load -- rspec/core (LoadError)
	from /media/forge/debian/diaspora/ruby-rspec-rails-2.11.4/lib/rspec/rails.rb:1
	from ./spec/spec_helper.rb:8:in `require'
	from ./spec/spec_helper.rb:8
	from debian/ruby-tests.rb:7:in `require'
	from debian/ruby-tests.rb:7
	from debian/ruby-tests.rb:7:in `each'
	from debian/ruby-tests.rb:7

but runs successfully for ruby 1.9.1. I would mark it only ruby1.9.1 for now.
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added blocking bug(s) of 676402: 691256 Request was from Praveen A <praveen@debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 15:27:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 676402: 691350 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Thu, 25 Oct 2012 09:36:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 15 Mar 2013 19:58:18 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Mon, 01 Apr 2013 17:03:04 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Mon, 01 Apr 2013 17:03:04 GMT) Full text and rfc822 format available.

Message #37 received at 676402-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 676402-close@bugs.debian.org
Subject: Bug#676402: fixed in ruby-rspec-rails 2.10.1-1
Date: Mon, 01 Apr 2013 17:00:05 +0000
Source: ruby-rspec-rails
Source-Version: 2.10.1-1

We believe that the bug you reported is fixed in the latest version of
ruby-rspec-rails, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676402@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-rspec-rails package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 12 Mar 2013 20:52:09 +0530
Source: ruby-rspec-rails
Binary: ruby-rspec-rails
Architecture: source all
Version: 2.10.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-rspec-rails - rspec-2 for rails-3 with lightweight extensions to each
Closes: 676402
Changes: 
 ruby-rspec-rails (2.10.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #676402)
Checksums-Sha1: 
 1ed2cb4d85849983c9bbd1f4e2a6a7cb676c2833 2141 ruby-rspec-rails_2.10.1-1.dsc
 3ec6c82f4d12dbe9a0778c1b4d790289e8ff7315 58981 ruby-rspec-rails_2.10.1.orig.tar.gz
 56ab9704de4ce376799dcd01897b20255b4dc0af 2699 ruby-rspec-rails_2.10.1-1.debian.tar.gz
 60ac2bed201f298c508491e99e2d56f150518ce8 31630 ruby-rspec-rails_2.10.1-1_all.deb
Checksums-Sha256: 
 91fe7f82d70954309844effbfbf414acd2e3121c70906db29ab307ef94e81170 2141 ruby-rspec-rails_2.10.1-1.dsc
 320adcaa31f7bc91e05ed2fc3cc7293c668af95e68e12f53be1a7d19b52797c5 58981 ruby-rspec-rails_2.10.1.orig.tar.gz
 26e967eb88137bccb2de80342e7296421a65afecc3e44ec871fd57a5e6c3688c 2699 ruby-rspec-rails_2.10.1-1.debian.tar.gz
 40cea7048723371fc32dc48f4c361bf9fc63fa22ad589f6ceb0b42d42a7b84c6 31630 ruby-rspec-rails_2.10.1-1_all.deb
Files: 
 3fc0ec1a08c4334a1693e58ad9b512d8 2141 ruby optional ruby-rspec-rails_2.10.1-1.dsc
 b49ea365efdfcebd9a89b14a3c94f4c8 58981 ruby optional ruby-rspec-rails_2.10.1.orig.tar.gz
 717bf4c3913d4aae6bf04a23d5f49a4d 2699 ruby optional ruby-rspec-rails_2.10.1-1.debian.tar.gz
 76fb7d7152ff7280ec27b63990ba8630 31630 ruby optional ruby-rspec-rails_2.10.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRQxFEAAoJEM4fnGdFEsIqtfEQAK2KpMhQUqHmNopR3W3PbQ0G
gtt5+UXtnDoX9dA24msWICIRXYfoAiz6VNc5uSjywhCxLRO7XDFh/2aPjk54MoWD
fZcMFe8lsHVhzCqHzlAWEV1mvo9YF3fOxbLWsbbZ+3FrWl/1HRkEoCIsKfjLZhTg
7ctNqpJzkJF8bnaK9ESnkyoJP9mlfDk+JYM82QsVf/Au4aLH2purR8FbB8l5jUsL
77QpDFw2qJZpSxEPAapfzmp3pMMLafxjFAomnUu7gcFMCYr8/8Mg1xtKxe8SuYPi
zj/P2rcmozu41cmOkFTbegqlau3GR/NgHBbEp3hAHtttKSQ+E4y0xqNdwIZ9p1st
MzMxsZr93v/SoXnRzKsVLLZ5cdo7AsqWmXCqia6Dz4RvwhoZXcSXnFxgIytJXRDP
rtqm241QPeBebPJ5Pgjef0alFrfryufAbl0Ywf+7M2HmehtQj6g0pNd17Ccw11YM
XKquuCo74Ej3mPHrZSc+7w1hjyDgaf3N5WogGk7AS4eXAa0mdqLxeHiSMpYfKegJ
NLZwNlURTpAVkkWnQlszCN6YWKBFyHHeIvkHDbMf/+O1KWy+vK2Lmep1u1Mh9dLx
OBZfr9YXh3GrcvtVHvAkAjoYaIssLla4KvuYRmtk/09NqzpMeAilA0dBskzVnR5W
ZDJwY/C2G9dg9gYvJSOU
=AUvM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Apr 2013 07:25:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:19:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.